Page MenuHomePhabricator

[L] Add Filters to Media Search
Closed, ResolvedPublic

Description

User story: During research it became clear that media search might be even more useful to users with the addition and adjustment of a few filters.

We have this: Currently we have one filter "Media Size" to the right of the file type tabs

We want this:

  1. Layout change: Move the filters to a second row in order accommodate more descriptive labels and other languages.
  2. Explore adding and adjusting the following filters
    • Change "Media Size" to "Image Size" and have it only show up for the images tab.
    • File type filter that allows users to select what file type they want to see based on which tab they are on. For example ".jpg", ".svg" when on the image tab, ".ogg" on the audio tab or ".webm" and ".ogv" on the video tab. You wouldn't see image file types on the audio or video tab and vice versa.
    • Sort by filter that defaults to "relevancy" which is our current ranking but also allows seeing the results ordered by "Most recent" (based on date posted) or "Most Viewed". This would show up for all tabs
    • Categories tab would only have the sort by filter
    • Filter data needs to be remembered as users switch tabs and come back
  3. Dropdown and Label Behavior
    • For the first version, let's focus on following OOUI and whatever is easiest to implement.
    • A slightly more complex solution that allows users to easily see what is selected and quickly deselect will be posted here soon.

During development, please test the following:

  • Test this feature while logged in AND logged out
  • Test this feature on at least one mobile browser
  • Test that this feature works on the file page AND the Add Data step on UploadWizard (if applicable, some features only exist on one or the other)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2020, 6:47 PM
mwilliams updated the task description. (Show Details)Jun 23 2020, 7:21 PM
CBogen updated the task description. (Show Details)Jun 23 2020, 8:33 PM
CBogen updated the task description. (Show Details)Jun 30 2020, 3:58 PM

I removed the license type filter from the acceptance criteria for this ticket. It now has its own ticket - T257938

CBogen updated the task description. (Show Details)Jul 14 2020, 3:56 PM
egardner claimed this task.Jul 15 2020, 4:07 PM
CBogen renamed this task from Additional Filters for Media Search to [M] Additional Filters for Media Search.Jul 15 2020, 4:39 PM
CBogen renamed this task from [M] Additional Filters for Media Search to [L] Additional Filters for Media Search.
AnneT claimed this task.Aug 17 2020, 10:52 PM
AnneT moved this task from Blocked to Doing on the Structured-Data-Backlog (Current Work) board.
AnneT added a subscriber: egardner.
AnneT renamed this task from [L] Additional Filters for Media Search to [L] Add Filters to Media Search.Aug 18 2020, 7:15 PM
mwilliams updated the task description. (Show Details)Aug 20 2020, 8:11 PM
AnneT removed AnneT as the assignee of this task.Oct 28 2020, 5:20 PM
AnneT added a subscriber: AnneT.

Un-assigning myself for this meta-task. The license filter is the last one to be completed and is currently in code review.

CBogen closed this task as Resolved.Wed, Jan 13, 3:55 PM
CBogen claimed this task.

Closing since all filters are now in production.